Integration Guide

Prerequisites

Your Android App’s SDK Version must be greater than or equal to 19.

Add the AAR library to your app:

  • Click File > New > New Module.

  • Click Import .JAR/.AAR Package then click Next.

  • Enter the location of the AAR file then click Finish.

Make sure AAR library is listed at the top of your settings.gradle file, as shown below:

For SDK 19-27

include ':app', ':pgsdkv6upi'

For AndroidX

include ':app', ':pgsdkv6axupi'

Open your app module’s build.gradle file and add the below line to the dependencies block as shown in the following snippet:

For SDK 19-27

dependencies 
{
    implementation project(":pgsdkv6upi")
}

For AndroidX

dependencies 
{
    implementation project(":pgsdkv6axupi")
}

Click Sync Project with Gradle Files.

Make sure you have the below permissions in your manifest file:

<uses-permission android:name="android.permission.INTERNET" />
<uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />